/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model16
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model16 {
  @SerializedName("min")
  private BigDecimal min = null;

  @SerializedName("max")
  private BigDecimal max = null;

  @SerializedName("default")
  private Boolean _default = null;

  public Model16 min(BigDecimal min) {
    this.min = min;
    return this;
  }

   /**
   * Min criterion value.
   * @return min
  **/
  @ApiModelProperty(example = "0.0", required = true, value = "Min criterion value.")
  public BigDecimal getMin() {
    return min;
  }

  public void setMin(BigDecimal min) {
    this.min = min;
  }

  public Model16 max(BigDecimal max) {
    this.max = max;
    return this;
  }

   /**
   * Max criterion value.
   * @return max
  **/
  @ApiModelProperty(example = "10.0", required = true, value = "Max criterion value.")
  public BigDecimal getMax() {
    return max;
  }

  public void setMax(BigDecimal max) {
    this.max = max;
  }

  public Model16 _default(Boolean _default) {
    this._default = _default;
    return this;
  }

   /**
   * Whether this is the default value or not.
   * @return _default
  **/
  @ApiModelProperty(example = "true", value = "Whether this is the default value or not.")
  public Boolean isDefault() {
    return _default;
  }

  public void setDefault(Boolean _default) {
    this._default = _default;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model16 model16 = (Model16) o;
    return Objects.equals(this.min, model16.min) &&
        Objects.equals(this.max, model16.max) &&
        Objects.equals(this._default, model16._default);
  }

  @Override
  public int hashCode() {
    return Objects.hash(min, max, _default);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model16 {\n");
    
    sb.append("    min: ").append(toIndentedString(min)).append("\n");
    sb.append("    max: ").append(toIndentedString(max)).append("\n");
    sb.append("    _default: ").append(toIndentedString(_default)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

